%define api_version 1
%define lib_major   114
%define lib_name    %mklibname gsf %{api_version} %{lib_major}
%define gi_name     %mklibname gsf-gir %{api_version}
%define develname   %mklibname gsf -d

%define url_ver     %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	GNOME Structured File library
Name:		libgsf
Epoch:		1
Version:	1.14.53
Release:	%mkrel 2
Group:		System/Libraries
License:	LGPLv2
URL:		https://www.gnumeric.org
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.16.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.16
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.6.4
BuildRequires:	gtk-doc
BuildRequires:	intltool

%description
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %{lib_name}
Summary:	GNOME Structured File library
Group:		System/Libraries
Obsoletes:	%{_lib}gsf-1_114 < %epoch:%{version}-%{release}

%description -n %{lib_name}
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %develname
Summary:	Support files necessary to compile applications with libgsf
Group:		Development/C
Requires:	%{lib_name} = %epoch:%{version}
Requires:	%{gi_name} = %epoch:%{version}
Provides:	%{name}-%{api_version}-devel = %epoch:%{version}-%{release}
Provides:	%{name}-devel = %epoch:%{version}-%{release}

%description -n %develname
Libraries, headers, and support files necessary to compile
applications using libgsf.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for libgsf
Group:		System/Libraries
Conflicts:	gir-repository < 0.6.5-12.1
Requires:	%{lib_name} = %epoch:%{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for libgsf.

%prep
%setup -q

%build
%configure --enable-gtk-doc --disable-static --enable-introspection
%make_build

%install
%make_install

# remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/libgsf

find %{buildroot} -name '*.la' -delete

%find_lang libgsf

%files -f %{name}.lang
%doc README
%_bindir/gsf
%_bindir/gsf-vba-dump
%{_bindir}/gsf-office-thumbnailer
%{_datadir}/thumbnailers/gsf-office.thumbnailer
%{_mandir}/man1/*

%files -n %{lib_name}
%doc AUTHORS COPYING README
%{_libdir}/libgsf*-%{api_version}.so.%{lib_major}{,.*}

%files -n %develname
%doc %{_datadir}/gtk-doc/html/gsf
%{_datadir}/gir-1.0/Gsf-%{api_version}.gir
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Gsf-%{api_version}.typelib


%changelog
* Sun Mar 16 2025 wally <wally> 1:1.14.53-2.mga10
+ Revision: 2164898
- rebuild for libxml2 2.13.6

* Tue Oct 01 2024 daviddavid <daviddavid> 1:1.14.53-1.mga10
+ Revision: 2102361
- new version 1.14.53
+ danf <danf>
- Update links to https:

* Sun Feb 11 2024 daviddavid <daviddavid> 1:1.14.52-1.mga10
+ Revision: 2040199
- new version 1.14.52

* Sat Nov 04 2023 daviddavid <daviddavid> 1:1.14.51-1.mga10
+ Revision: 2003955
- new version 1.14.51

* Thu Jul 14 2022 ovitters <ovitters> 1:1.14.50-1.mga9
+ Revision: 1868753
- new version 1.14.50

* Mon Mar 21 2022 ovitters <ovitters> 1:1.14.49-1.mga9
+ Revision: 1810111
- new version 1.14.49

* Tue Dec 28 2021 ovitters <ovitters> 1:1.14.48-1.mga9
+ Revision: 1764663
- new version 1.14.48

* Fri Mar 26 2021 daviddavid <daviddavid> 1:1.14.47-3.mga9
+ Revision: 1710362
- rebuild for new glibc

* Sun May 10 2020 daviddavid <daviddavid> 1:1.14.47-2.mga8
+ Revision: 1582768
- remove unneeded python2 build dependency on pkgconfig(pygobject-2.0)

* Thu Mar 26 2020 daviddavid <daviddavid> 1:1.14.47-1.mga8
+ Revision: 1560760
- new version 1.14.47

* Sun Feb 16 2020 umeabot <umeabot> 1:1.14.46-4.mga8
+ Revision: 1536559
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Oct 20 2019 daviddavid <daviddavid> 1:1.14.46-3.mga8
+ Revision: 1454694
- enable BZ2 support

* Sun Oct 20 2019 daviddavid <daviddavid> 1:1.14.46-2.mga8
+ Revision: 1454687
- remove unneeded python2 build dependency

* Wed May 08 2019 tmb <tmb> 1:1.14.46-1.mga7
+ Revision: 1396794
- update to 1.14.46

* Wed Dec 19 2018 ovitters <ovitters> 1:1.14.45-1.mga7
+ Revision: 1342633
- new version 1.14.45

* Sun Sep 23 2018 umeabot <umeabot> 1:1.14.44-2.mga7
+ Revision: 1298889
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 ovitters <ovitters> 1:1.14.44-1.mga7
+ Revision: 1250568
- new version 1.14.44

* Fri Apr 20 2018 ovitters <ovitters> 1:1.14.43-1.mga7
+ Revision: 1220346
- new version 1.14.43
+ kekepower <kekepower>
- Use new make macros

* Sat Nov 11 2017 ovitters <ovitters> 1:1.14.42-1.mga7
+ Revision: 1176975
- new version 1.14.42

* Sat Dec 03 2016 ovitters <ovitters> 1:1.14.41-1.mga6
+ Revision: 1071806
- new version 1.14.41

* Fri Sep 09 2016 luigiwalser <luigiwalser> 1:1.14.40-1.mga6
+ Revision: 1051184
- 1.14.40

* Wed Aug 10 2016 luigiwalser <luigiwalser> 1:1.14.39-1.mga6
+ Revision: 1045276
- 1.14.39

* Mon Jun 27 2016 ovitters <ovitters> 1:1.14.38-1.mga6
+ Revision: 1037929
- new version 1.14.38

* Wed Jun 01 2016 ovitters <ovitters> 1:1.14.37-1.mga6
+ Revision: 1019766
- new version 1.14.37

* Sat Feb 13 2016 ovitters <ovitters> 1:1.14.36-1.mga6
+ Revision: 959444
- new version 1.14.36

* Mon Feb 08 2016 ovitters <ovitters> 1:1.14.35-1.mga6
+ Revision: 950148
- new version 1.14.35

* Wed Jul 29 2015 ovitters <ovitters> 1:1.14.34-1.mga6
+ Revision: 858793
- new version 1.14.34

* Mon Jun 29 2015 wally <wally> 1:1.14.33-2.mga6
+ Revision: 847542
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 ovitters <ovitters> 1:1.14.33-1.mga6
+ Revision: 836360
- new version 1.14.33

* Thu Feb 05 2015 ovitters <ovitters> 1:1.14.31-1.mga5
+ Revision: 813519
- new version 1.14.31

* Wed Oct 15 2014 umeabot <umeabot> 1:1.14.30-4.mga5
+ Revision: 749308
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 1:1.14.30-3.mga5
+ Revision: 731180
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 1:1.14.30-2.mga5
+ Revision: 681510
- Mageia 5 Mass Rebuild

* Wed Mar 19 2014 ovitters <ovitters> 1:1.14.30-1.mga5
+ Revision: 605941
- new version 1.14.30

* Tue Feb 04 2014 dams <dams> 1:1.14.29-1.mga5
+ Revision: 580934
- new version 1.14.29

* Sat Oct 19 2013 umeabot <umeabot> 1:1.14.28-2.mga4
+ Revision: 531174
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 ovitters <ovitters> 1:1.14.28-1.mga4
+ Revision: 462500
- new version 1.14.28

* Sun Jun 23 2013 ovitters <ovitters> 1:1.14.27-1.mga4
+ Revision: 446024
- new version 1.14.27

* Sat May 25 2013 ovitters <ovitters> 1:1.14.26-1.mga4
+ Revision: 427383
- new version 1.14.26

* Sat Jan 12 2013 umeabot <umeabot> 1:1.14.25-2.mga3
+ Revision: 357400
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 1:1.14.25-1.mga3
+ Revision: 318020
- new version 1.14.25

* Thu Sep 06 2012 fwang <fwang> 1:1.14.24-1.mga3
+ Revision: 288714
- enable introspection
- simplify pkgname
+ ovitters <ovitters>
- new version 1.14.24

* Fri Apr 20 2012 fwang <fwang> 1:1.14.23-2.mga2
+ Revision: 232013
- fix required version

* Fri Apr 20 2012 ovitters <ovitters> 1:1.14.23-1.mga2
+ Revision: 231971
- update buildrequires
- drop python-libgsf (nothing requires it, deprecated upstream)
- package gobject introspection
- clean spec
- update source url
- new version 1.14.23

* Sat Dec 17 2011 fwang <fwang> 1:1.14.22-1.mga2
+ Revision: 183102
- cleanup br and file list
- new version 1.14.22

* Thu Sep 15 2011 fwang <fwang> 1:1.14.21-2.mga2
+ Revision: 143773
- drop .la files

* Thu Jul 14 2011 fwang <fwang> 1:1.14.21-1.mga2
+ Revision: 124002
- new version 1.14.20

* Sat Apr 16 2011 pterjan <pterjan> 1:1.14.20-1.mga1
+ Revision: 86695
- Update to 1.14.20

* Tue Jan 18 2011 pterjan <pterjan> 1:1.14.19-3.mga1
+ Revision: 21869
- Rebuild for python 2.7
+ mikala <mikala>
- Drop mdk macros
- imported package libgsf


* Thu Nov 04 2010 Götz Waschk <waschk@mandriva.org> 1:1.14.19-2mdv2011.0
+ Revision: 593335
- rebuild for new python 2.7

* Sat Sep 25 2010 Götz Waschk <waschk@mandriva.org> 1:1.14.19-1mdv2011.0
+ Revision: 581037
- update to new version 1.14.19

* Thu Apr 08 2010 Götz Waschk <waschk@mandriva.org> 1:1.14.18-1mdv2010.1
+ Revision: 532883
- update build deps
- update to new version 1.14.18

* Sun Feb 14 2010 Götz Waschk <waschk@mandriva.org> 1:1.14.17-1mdv2010.1
+ Revision: 505611
- update to new version 1.14.17

* Mon Oct 12 2009 Götz Waschk <waschk@mandriva.org> 1:1.14.16-1mdv2010.0
+ Revision: 456724
- update to new version 1.14.16

* Sat Jun 20 2009 Götz Waschk <waschk@mandriva.org> 1:1.14.15-1mdv2010.0
+ Revision: 387478
- update to new version 1.14.15

* Sun May 24 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.14.14-1mdv2010.0
+ Revision: 379148
- update to new version 1.14.14

* Thu May 07 2009 Götz Waschk <waschk@mandriva.org> 1:1.14.13-1mdv2010.0
+ Revision: 372796
- update to new version 1.14.13

* Mon Apr 27 2009 Götz Waschk <waschk@mandriva.org> 1:1.14.12-1mdv2010.0
+ Revision: 369049
- update to new version 1.14.12

* Wed Jan 07 2009 Götz Waschk <waschk@mandriva.org> 1:1.14.11-1mdv2009.1
+ Revision: 326458
- new version
- fix format string

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 1:1.14.10-2mdv2009.1
+ Revision: 319682
- use makeinstall_std
- rebuild for new python

* Sun Oct 19 2008 Götz Waschk <waschk@mandriva.org> 1:1.14.10-1mdv2009.1
+ Revision: 295261
- update to new version 1.14.10

* Sun Aug 31 2008 Götz Waschk <waschk@mandriva.org> 1:1.14.9-1mdv2009.0
+ Revision: 277781
- new version
- update license
- update build deps

* Fri Jun 20 2008 Pixel <pixel@mandriva.com> 1:1.14.8-3mdv2009.0
+ Revision: 227421
- rebuild for fixed %%update_icon_cache/%%clean_icon_cache/%%post_install_gconf_schemas
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1:1.14.8-2mdv2009.0
+ Revision: 222878
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Mar 06 2008 Götz Waschk <waschk@mandriva.org> 1:1.14.8-1mdv2008.1
+ Revision: 180316
- new version

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1:1.14.7-2mdv2008.1
+ Revision: 150687
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 07 2007 Götz Waschk <waschk@mandriva.org> 1:1.14.7-1mdv2008.0
+ Revision: 81960
- new version
- new devel name

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 1:1.14.6-1mdv2008.0
+ Revision: 79219
- new version

* Wed Jul 11 2007 Götz Waschk <waschk@mandriva.org> 1:1.14.5-1mdv2008.0
+ Revision: 51224
- new version
- fix build

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 1:1.14.4-1mdv2008.0
+ Revision: 40841
- new version


* Mon Nov 06 2006 Götz Waschk <waschk@mandriva.org> 1.14.3-1mdv2007.0
+ Revision: 77034
- new version

* Sun Oct 15 2006 Götz Waschk <waschk@mandriva.org> 1:1.14.2-3mdv2007.1
+ Revision: 64780
- fix file list for x86_64
- rebuild
- Import libgsf

* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 1.14.2-1mdv2007.0
- add python package
- New version 1.14.2

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.14.1-2mdv2007.0
- Rebuild with latest dbus

* Tue May 09 2006 Götz Waschk <waschk@mandriva.org> 1:1.14.1-1mdk
- New release 1.14.1

* Thu Mar 02 2006 Götz Waschk <waschk@mandriva.org> 1.14.0-1mdk
- new major
- New release 1.14.0

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.13.3-3mdk
- Fix schema install/uninstall (copy/paste is bad sometimes ;)

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.13.3-2mdk
- Use mkrel

* Mon Nov 07 2005 Götz Waschk <waschk@mandriva.org> 1.13.3-1mdk
- New release 1.13.3

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 1.13.2-2mdk
- fix major

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 1.13.2-1mdk
- New release 1.13.2

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 1.12.3-1mdk
- Release 1.12.3

* Thu Aug 18 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.12.2-2mdk
- add BuildRequires: perl-XML-Parser

* Wed Aug 17 2005 Götz Waschk <waschk@mandriva.org> 1.12.2-1mdk
- update file list
- enable gtk-doc
- New release 1.12.2

* Sat Jul 30 2005 Frederic Crozat <fcrozat@mandriva.com> 1.12.1-1mdk 
- Switch back to 1.12.1

* Thu Jun 09 2005 Götz Waschk <waschk@mandriva.org> 1:1.11.1-1mdk
- back to 1.11.1

* Wed May 11 2005 Götz Waschk <waschk@mandriva.org> 1.12.0-1mdk
- New release 1.12.0

* Fri Jan 21 2005 Goetz Waschk <waschk@linux-mandrake.com> 1.11.1-1mdk
- New release 1.11.1

* Tue Aug 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.10.1-1mdk
- New release 1.10.1

* Tue Jul 06 2004 Götz Waschk <waschk@linux-mandrake.com> 1.10.0-1mdk
- reenable libtooliz
- New release 1.10.0

* Tue May 18 2004 Götz Waschk <waschk@linux-mandrake.com> 1.9.1-1mdk
- fix gtk-doc location
- drop patch
- New release 1.9.1

* Thu May 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-1mdk
- New release 1.9.0

